# ``twisted`.`web`.`http_headers``

module documentation
(source)

An API for storing HTTP header names and values.

Class | `Headers` | Stores HTTP headers in a key and multiple value format.
Function | `_dashCapitalize` | Return a byte string which is capitalized using '-' as a word separator.
Function | `_sanitizeLinearWhitespace` | Replace linear whitespace (`\n`, `\r\n`, `\r`) in a header key or value with a single space.
Constant | `_T` | Undocumented

def _dashCapitalize(name): (source)
Return a byte string which is capitalized using '-' as a word separator.

Parameters
name:`bytes` | The name of the header to capitalize.
Returns
`bytes` | The given header capitalized using '-' as a word separator.

def _sanitizeLinearWhitespace(headerComponent): (source)
Replace linear whitespace (`\n`, `\r\n`, `\r`) in a header key or value with a single space.

Parameters
headerComponent:`bytes` | The header key or value to sanitize.
Returns
`bytes` | The sanitized header key or value.

_T = (source)

Undocumented

Value

    TypeVar('_T')